/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomEventException_H___INT_
#define __GdomEventException_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "EventException.h"
namespace WebCore {
    gpointer toGDOM(EventException* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMEventException : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_EVENT_EXCEPTION; }
    GDOMEventException(PassRefPtr<WebCore::EventException> impl);
    virtual ~GDOMEventException();
    WebCore::EventException* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::EventException> m_impl;
};
G_END_DECLS

#endif /* __GdomEventException_H___INT_*/
